Subject: RE: [PATCH 00/26] KVM: vfio: Hide KVM internals from others

From: Shameerali Kolothum Thodi <[email-masked]>
Date: Mon, 24 Jun 2024 19:21:32 +0000

> -----Original Message-----
> From: Sean Christopherson <[email-masked]>
> Sent: Monday, June 24, 2024 4:32 PM
> To: Shameerali Kolothum Thodi <[email-masked]>
> Cc: Catalin Marinas <[email-masked]>; Will Deacon
> <[email-masked]>; Marc Zyngier <[email-masked]>; Oliver Upton
> <[email-masked]>; Huacai Chen <[email-masked]>; Michael
> Ellerman <[email-masked]>; Anup Patel <[email-masked]>; Paul
> Walmsley <[email-masked]>; Palmer Dabbelt
> <[email-masked]>; Albert Ou <[email-masked]>; Heiko
> Carstens <[email-masked]>; Vasily Gorbik <[email-masked]>;
> Alexander Gordeev <[email-masked]>; Christian Borntraeger
> <[email-masked]>; Janosch Frank <[email-masked]>;
> Claudio Imbrenda <[email-masked]>; Thomas Gleixner
> <[email-masked]>; Ingo Molnar <[email-masked]>; Borislav Petkov
> <[email-masked]>; Dave Hansen <[email-masked]>;
> [email-masked]; Peter Zijlstra <[email-masked]>; Arnaldo Carvalho de
> Melo <[email-masked]>; Paolo Bonzini <[email-masked]>; Tony
> Krowiak <[email-masked]>; Halil Pasic <[email-masked]>;
> Jason Herne <[email-masked]>; Harald Freudenberger
> <[email-masked]>; Alex Williamson <[email-masked]>;
> Andy Lutomirski <[email-masked]>; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; linux-
> [email-masked]; [email-masked]; linux-
> [email-masked]; [email-masked]; Anish Ghulati
> <[email-masked]>; Venkatesh Srinivas <[email-masked]>;
> Andrew Thornton <[email-masked]>
> Subject: Re: [PATCH 00/26] KVM: vfio: Hide KVM internals from others
> 
> On Thu, Jun 20, 2024, Shameerali Kolothum Thodi wrote:
> > > This is a borderline RFC series to hide KVM's internals from the rest of
> > > the kernel, where "internals" means data structures, enums, #defines,
> > > APIs, etc. that are intended to be KVM-only, but are exposed
> everywhere
> > > due to kvm_host.h (and other headers) living in the global include paths.
> >
> > Hi Sean,
> >
> > Just thought of checking with you on this series. Do you have plans to
> revive this
> > series?
> 
> Yep!
> 
> > The reason I am asking is, on ARM64/KVM side we do have a requirement
> > to share the KVM VMID with SMMUV3. Please see the RFC I sent out
> earlier this
> > year[1]. The series basically provides a way for KVM to pin a VMID and also
> > associates an iommufd ctx with a struct kvm * to retrieve that VMID.
> >
> > As mentioned above, some of the patches in this series(especially 1-4 & 6)
> that
> > does the VFIO cleanups and dropping CONFIG_KVM_VFIO looks very
> straightforward
> > and useful. I am thinking of including those when I re-spin my RFC series, if
> > that’s ok.
> 
> Please don't include them, as the patch they build towards (patch 5) is
> buggy[*],
> and I am fairly certain that at least some of the patches will change
> significantly.

Ok. Got it. Thanks for taking a look at the KVM pinned VMID series and comments
there.

Shameer